// DictionaryEditorView.h : interface of the CDictionaryEditorView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_DICTIONARYEDITORVIEW_H__6100E358_AB44_4215_BEAA_9430D022BD85__INCLUDED_)
#define AFX_DICTIONARYEDITORVIEW_H__6100E358_AB44_4215_BEAA_9430D022BD85__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "SmartListView.h"


class CDictionaryEditorView : public CSmartListView
{
protected: // create from serialization only
	CDictionaryEditorView();
	DECLARE_DYNCREATE(CDictionaryEditorView)

// Attributes
public:
	CDictionaryEditorDoc* GetDocument();

//	CDictionary * m_temp;
	int m_nFind;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDictionaryEditorView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void OnInitialUpdate(); // called first time after construct
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

// Implementation
public:
	CString FormatString(UINT nVal, CString strSymbol);
	virtual ~CDictionaryEditorView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CDictionaryEditorView)
	afx_msg void OnColumnclick(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnWordsAdd();
	afx_msg void OnWordsDelete();
	afx_msg void OnWordsEdit();
	afx_msg void OnUpdateWordsEdit(CCmdUI* pCmdUI);
	afx_msg void OnUpdateWordsDelete(CCmdUI* pCmdUI);
	afx_msg void OnDblclk(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnToolsTrim();
	afx_msg void OnToolsLowercase();
	afx_msg void OnItemchanged(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnFileExport();
	afx_msg void OnFileImport();
	afx_msg void OnToolsFind();
	afx_msg void OnToolsFindnext();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in DictionaryEditorView.cpp
inline CDictionaryEditorDoc* CDictionaryEditorView::GetDocument()
   { return (CDictionaryEditorDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DICTIONARYEDITORVIEW_H__6100E358_AB44_4215_BEAA_9430D022BD85__INCLUDED_)
